[pkg-nvidia-devel] Bug#505863: nvidia-glx: error opening libnvidia-cfg.so.1 when running nvidia-xconfig --separate-x-screens

Darshaka Pathirana dpat at syn-net.org
Sun Nov 16 11:06:41 UTC 2008

Package: nvidia-glx
Version: 173.14.09-3
Severity: normal


I have a problem when running the following command:

% nvidia-xconfig --no-twinview --xinerama --separate-x-screens

Using X configuration file: "/etc/X11/xorg.conf".

VALIDATION ERROR: Data incomplete in file /etc/X11/xorg.conf.
                  Device section "Configured Video Device" must have a Driver line.

WARNING: error opening libnvidia-cfg.so.1: libnvidia-cfg.so.1: cannot open shared object file: No such file or directory.

ERROR: Unable to determine number or location of GPUs in system; cannot honor '--separate-x-screens' option.

Backed up file '/etc/X11/xorg.conf' as '/etc/X11/xorg.conf.backup'
New X configuration file written to '/etc/X11/xorg.conf'

To reproduce this output do the following:

  % dpkg-reconfigure xserver-xorg 		# get a clean xorg.conf
  % nvidia-xconfig --no-twinview --xinerama --separate-x-screens

Creating a symlink of libnvidia-cfg.so.1 in /usr/lib solved the problem:

  % ln -s /usr/lib/nvidia/libnvidia-cfg.so.173.14.09 /usr/lib/libnvidia-cfg.so.1

I may or may not be a problem of nvidia-xconfig but I can not judge
that. I did a strace and figured that nvidia-xconfig was looking for
libnvidia-cfg.so.1 in various places. But as there is no (version
independent)libnvidia-cfg.so.1 file in the nvidia-glx package my
first guess was to file bug here.

I you need any more infos please let me know.

Thanks for maintaining and have a nice day,
 - Darsha

-- Package-specific info:
uname -r:
Linux enterprise 2.6.26-1-686 #1 SMP Thu Oct 9 15:18:09 UTC 2008 i686 GNU/Linux

Linux version 2.6.26-1-686 (Debian 2.6.26-8) (waldi at debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Thu Oct 9 15:18:09 UTC 2008


01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nvidia-glx depends on:
ii  libc6               2.7-15               GNU C Library: Shared libraries
ii  libgcc1             1:4.3.2-1            GCC support library
ii  libgl1-mesa-glx [li 7.0.3-6              A free implementation of the OpenG
ii  libx11-6            2:1.1.5-2            X11 client-side library
ii  libxext6            2:1.0.4-1            X11 miscellaneous extension librar
ii  nvidia-kernel-2.6.2 173.14.09-3+2.6.25-7 NVIDIA binary kernel module for Li
ii  nvidia-kernel-2.6.2 173.14.09-3+2.6.26-8 NVIDIA binary kernel module for Li
ii  x11-common          1:7.3+18             X Window System (X.Org) infrastruc
ii  zlib1g              1:    compression library - runtime

nvidia-glx recommends no packages.

Versions of packages nvidia-glx suggests:
ii  nvidia-kernel-source         173.14.09-3 NVIDIA binary kernel module source
ii  nvidia-settings              173.14.09-1 Tool of configuring the NVIDIA gra

-- no debconf information

More information about the Pkg-nvidia-devel mailing list